var doc = app.activeDocument; // アクティブなドキュメント
var sel = doc.selection; // 選択オブジェクト（配列）

if (sel.length > 0) { // 選択オブジェクトが1つ以上なら
	// 丸め処理
	function roundToStep(value, step) {
		return Math.round(value / step) * step;
	}
	var round = 0.25; // 丸め値（mm）

	for (var i = 0; i < sel.length; i++) {
		var obj = sel[i];

		// 左上の座標と右下の座標を取得
		var bounds = obj.geometricBounds;

		// 上下左右の座標
		var top = bounds[0];    // 上座標 (y1)
		var left = bounds[1];   // 左座標 (x1)
		var bottom = bounds[2]; // 下座標 (y2)
		var right = bounds[3];  // 右座標 (x2)

		// 丸める
		top    = roundToStep(top,    round);
		left   = roundToStep(left,   round);
		bottom = roundToStep(bottom, round);
		right  = roundToStep(right,  round);

		// 左上の座標と右下の座標を変更
		obj.geometricBounds = [top, left, bottom, right]; // [y1, x1, y2, x2]

		// デバッグ用に表示
		// alert("Top: " + top + "/ Left: " + left + "/ Bottom: " + bottom + "/ Right: " + right);
	}
} else {
	alert("オブジェクトを選択してください！");
}